On Sunday 06 February 2005 05:44, Sven Neumann wrote:
> Hi,
> This looks as if you installed pango into a prefix that is not
> searched by the linker. You will have to either 
modify /etc/ld.so.conf
> to include that path, or set the LD_LIBRARY_PATH environment 
> Sven


Thanks for getting back about this.  I checked this and at first it 
appeared to be OK (ld.so.conf looked ok).  So I did some more looking 
around on my system and it turned out that I had 2 versions of pango 
installed in 2 locations (1.6 in /usr/local/lib and 1.8 
in /opt/gnome/lib).  So I cleaned this up. I also checked everything 
else related to GTK and GIMP to make sure that I had no duplicates 
before moving on. 

I then un-installed (just to make sure) and built GLIB, Pango, ATK and 
GTK.  There were no apparent problems during the build process.  But 
now when I try to run GIMP I get the following error message:

gimp: error while loading shared 
libraries: /opt/gnome/lib/libgtk-x11-2.0.so.0: undefined 

I get the same error message when I try to run Firefox and GKrellM.  
This is the same error message I was getting after I installed the GTK 
2.4 RPMs.  I tested GIMP after building each library and it was fine 
until GTK was installed.  I can get these running again by backing out 
GTK to the version that shipped with my distro. 

I did a search of the gtk-list, gtk-app-devel-list and gtk-devel-list 
and there was a thread on this error message on the gtk-list.  But it 
was a dead end as there was no solution to the problem posted in the 
thread.  Any ideas about what might be causing this? 

Hal V. Engel

Attachment: pgpAoozK1R82q.pgp
Description: PGP signature

Reply via email to